using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NamestanjeGlasanja
{
    class Program
    {
        static int[] DodajElem(int[] a, int markos, int[] b)
        {
            int bra = 0;
            int i=0;
            while (bra < a.Length)
            {
                if (a[bra] > markos)
                {
                    b[i] = markos;
                }
                else
                {
                    b[i] = a[bra];
                    bra++;
                }
                i++;
            }
            if (bra == a.Length)
            {
                b[b.Length - 1] = markos;
            }
            else
            {
                b[b.Length - 1] = a[bra];
            }
            return b;
        }
        static int IzracunajDodatne(int markos, int[]a)
        {
            int[] b = new int[a.Length + 1];
            int razlika = 0;
            if (a.Length % 2 == 1)
            {
                if (a.Contains(markos))
                {
                    for (int i = 0; i < a.Length; i++)
                    {
                        if (a[i] == markos)
                        {
                            razlika = ((a.Length - 1) / 2) - i;
                            if (razlika >= 0)
                            {
                               razlika = razlika * 2;
                            }
                            else
                            {
                               razlika = razlika * -2 - 1;
                            }
                        }
                    }
                }
                else
                {
                    b = DodajElem(a, markos, b);
                    return 1 +IzracunajDodatne(markos, b);
                }
            }
            else
            {
                if (a.Contains(markos))
                {
                    for (int i = 0; i < a.Length; i++)
                    {
                        if (a[i] == markos)
                        {
                            razlika = (a.Length / 2) - i;
                            if (razlika >= 0)
                            {
                                razlika= razlika * 2-1;
                            }
                            else
                            {
                                razlika= razlika * -2;
                            }
                        }
                    }
                }
                else
                {
                    b = DodajElem(a, markos, b);
                    return 1 +IzracunajDodatne(markos, b);
                }
            }
            return razlika;
        }
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int n=int.Parse(unos[0]);
            int q=int.Parse(unos[1]);
            unos = Console.ReadLine().Split();
            int[] a = new int[n];
            for(int i=0;i<n;i++)
            {
                a[i] = int.Parse(unos[i]);
            }
            Array.Sort(a);
            unos = Console.ReadLine().Split();
            int[] b = new int[q];
            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(unos[i]);
            }
            for (int i = 0; i < q; i++)
            {
                int markos = b[i];
                int dodatniglasovi = IzracunajDodatne(markos, a);
                Console.WriteLine(dodatniglasovi);
            }
        }
    }
}